diff --git a/source/l10n.rst b/source/l10n.rst
index c66173d..8935907 100644
--- a/source/l10n.rst
+++ b/source/l10n.rst
@@ -42,7 +42,7 @@ manual task, and the process depends on the kind of text you want to see
 translated.
 
 For program messages, the gettext infrastructure is used most of the
-time. Most of the time, the translation is handled upstream within
+time. Often the translation is handled upstream within
 projects like the `Free Translation
 Project <https://translationproject.org/html/welcome.html>`__, the
 `GNOME Translation
@@ -51,7 +51,7 @@ Localization <https://l10n.kde.org/>`__ project. The only centralized
 resources within Debian are the `Central Debian translation
 statistics <https://www.debian.org/intl/l10n/>`__, where you can find
 some statistics about the translation files found in the actual
-packages, but no real infrastructure to ease the translation process.
+packages and download those files.
 
 Package descriptions have translations since many years and Maintainers
 don't need to do anything special to support translated package
@@ -59,12 +59,9 @@ descriptions; translators should use the `Debian Description Translation
 Project (DDTP) <https://ddtp.debian.org/>`__.
 
 For ``debconf`` templates, maintainers should use the ``po-debconf``
-package to ease the work of translators, who could use the DDTP to do
-their work (but the French and Brazilian teams don't). Some statistics
-can be found both on the `DDTP site <https://ddtp.debian.org/>`__
-(about what is actually translated), and on the `Central Debian
-translation statistics <https://www.debian.org/intl/l10n/>`__ site
-(about what is integrated in the packages).
+package to ease the work of translators. Some statistics
+can be found on the `Central Debian
+translation statistics <https://www.debian.org/intl/l10n/>`__ site.
 
 For web pages, each l10n team has access to the relevant VCS, and the
 statistics are available from the Central Debian translation statistics
@@ -74,8 +71,9 @@ For general documentation about Debian, the process is more or less the
 same as for the web pages (the translators have access to the VCS), but
 there are no statistics pages.
 
-For package-specific documentation (man pages, info documents, other
-formats), almost everything remains to be done.
+Another part of i18n work is package-specific documentation (man pages,
+info documents, other formats). At least the man page translations are
+po-based as most other things mentioned above.
 
 .. _l10n-faqm:
 
@@ -94,17 +92,18 @@ enhanced.
 How to get a given text translated
 --------------------------------------------------------------------------------------------------------------------------------
 
-To translate package descriptions or ``debconf`` templates, you have
+To translate package descriptions, you have
 nothing to do; the DDTP infrastructure will dispatch the material to
 translate to volunteers with no need for interaction on your part.
 
-For all other material (gettext files, man pages, or other
-documentation), the best solution is to put your text somewhere on the
-Internet, and ask on debian-i18n for a translation in different
+For all other material (``debconf`` templates, gettext files, man pages, or other
+documentation), the best solution is to ask on debian-i18n for a translation in different
 languages. Some translation team members are subscribed to this list,
-and they will take care of the translation and of the reviewing process.
+and they will take care of the needed coordination, to get the material
+translated and reviewed.
 Once they are done, you will get your translated document from them in
-your mailbox.
+your mailbox or via a wishlist bugreport.
+It is also recommended, to use the ``po-debconf`` tools for i18n integration. 
 
 .. _l10n-faqm-rev:
 
